<div class="content">
  <div class="logo">
    <span class="version" *ngIf="application">
      {{ application.version }}
    </span>
  </div>

  <form class="login" (ngSubmit)="login()" #heroForm="ngForm">
    <span class="wrapper" *ngIf="application">
      <img src="{{ application.logo }}" class="app_logo" />
    </span>
    <div>
      <mat-form-field class="search-text-input">
        <input
          type="text"
          matInput
          placeholder="Username"
          name="username"
          [(ngModel)]="username"
        />
      </mat-form-field>
    </div>
    <div>
      <app-password #password [check_validity]="false"></app-password>
    </div>
    <div>
      <p class="reset" (click)="openResetPasswordDialog()">
        Forgot your password ?
      </p>
    </div>
    <div class="button submit">
      <button mat-button color="primary" type="submit">
        <mat-icon>chevron_right</mat-icon>
        Login
      </button>
    </div>
    <div class="message">
      {{ message }}
    </div>
  </form>
</div>
